Page 227 of 237 FirstFirst ... 127177217225226227228229 ... LastLast
Results 2,261 to 2,270 of 2362

Thread: HOWTO: Install and use the latest FFmpeg and x264

  1. #2261
    Join Date
    Jun 2007
    Beans
    14,212

    Re: HOWTO: Install and use the latest FFmpeg and x264

    For local builds make install or checkinstall don't mind split up prefixes so I've used this to put the mans in an accessible place (the .html go to ffmpeg's install dir.
    --mandir=/usr/local/share/man
    --datadir=/usr/local/share/ffmpeg

  2. #2262
    Join Date
    Dec 2005
    Location
    St. Petersburg, FL
    Beans
    532
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Only thing I'd suggest is to use --enable-avisynth. There's really not much of a reason not to include it, IMO.



    In other news, x264 mainlined support for L-SMASH with the big commit push back in October, so MP4 muxing doesn't have to rely on GPAC anymore. It prefers L-SMASH if it finds it, and only links to GPAC if L-SMASH isn't present or the user disables it with the --disable-lsmash option.

  3. #2263
    Join Date
    Jan 2014
    Beans
    1

    Question Re: HOWTO: Install and use the latest FFmpeg and x264

    Hello! I'm a newbie and looking for some help. I've compiled latest ffmpeg, x264, ffms2 and avxsynth from git. Is there a way to input .avs with ffmpeg and x264 ? I've tried as follows but have no success.

    Code:
    $ x264 --preset ultrafast --crf 18 -v -o out.mkv ./test.avs
    avs [error]: failed to load avisynth
    x264 [error]: could not open input file `./test.avs'
    
    $ x264 --version
    x264 0.140.2 1ca7bb9
    (libswscale 2.5.101)
    (libavformat 55.22.102)
    (ffmpegsource 2.18.0.0)
    built on Jan  6 2014, gcc: 4.6.3
    configuration: --bit-depth=8 --chroma-format=all
    x264 license: GPL version 2 or later
    libswscale/libavformat/ffmpegsource license: GPL version 3 or later
    Code:
    $ ffmpeg -i ./test.avs -v debug
    ffmpeg version N-40499-g4ced5d7 Copyright (c) 2000-2014 the FFmpeg developers
      built on Jan  6 2014 13:16:27 with gcc 4.6 (Ubuntu/Linaro 4.6.3-1ubuntu5)
      configuration: --prefix=/home/pavel/apps/ffmpeg_build --extra-cflags=-I/home/pavel/apps/ffmpeg_build/include --extra-ldflags=-L/home/pavel/apps/ffmpeg_build/lib --bindir=/home/pavel/apps/bin --extra-libs=-ldl --enable-gpl --enable-libass --enable-libfdk-aac --enable-libmp3lame --enable-libopus --enable-libtheora --enable-libvorbis --enable-libvpx --enable-libx264 --enable-nonfree --enable-x11grab --enable-avisynth --enable-libbluray --enable-libquvi
      libavutil      52. 62.100 / 52. 62.100
      libavcodec     55. 47.100 / 55. 47.100
      libavformat    55. 22.102 / 55. 22.102
      libavdevice    55.  5.102 / 55.  5.102
      libavfilter     4.  0.103 /  4.  0.103
      libswscale      2.  5.101 /  2.  5.101
      libswresample   0. 17.104 /  0. 17.104
      libpostproc    52.  3.100 / 52.  3.100
    Splitting the commandline.
    Reading option '-i' ... matched as input file with argument './test.avs'.
    Reading option '-v' ... matched as option 'v' (set logging level) with argument 'debug'.
    Finished splitting the commandline.
    Parsing a group of options: global .
    Applying option v (set logging level) with argument debug.
    Successfully parsed a group of options.
    Parsing a group of options: input file ./test.avs.
    Successfully parsed a group of options.
    Opening an input file: ./test.avs.
    [avisynth @ 0x9d3dec0] Format avisynth probed with size=2048 and score=50
    [AVIOContext @ 0x9d47fc0] Statistics: 180 bytes read, 0 seeks
    ./test.avs: Unknown error occurred

    AVS script file contains:
    Code:
    FFVideoSource("/path/to/file.mkv")
    And the script works fine when I launch it with avxsynth as "avxFrameServer ./test.avs"

    Sorry, English is not my native language. Thanks.
    Last edited by spvkgn; January 6th, 2014 at 06:09 PM.

  4. #2264
    Join Date
    Dec 2005
    Location
    St. Petersburg, FL
    Beans
    532
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Did you run 'sudo ldconfig' after installing AvxSynth? Did you build FFMS2 as static (it has to be built as shared)? And there's no reason to use ./ before the name of the script - AviSynth scripts aren't executed like shell scripts.

  5. #2265
    Join Date
    Dec 2006
    Beans
    7,223

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by qyot27 View Post
    In other news, x264 mainlined support for L-SMASH with the big commit push back in October, so MP4 muxing doesn't have to rely on GPAC anymore. It prefers L-SMASH if it finds it, and only links to GPAC if L-SMASH isn't present or the user disables it with the --disable-lsmash option.
    Thanks for that tip, I have built l-smash and recompiled x264:

    Code:
    andrew@skamandros~$ x264 --help | head -n 12
    x264 core:140 r2377 1ca7bb9
    Syntax: x264 [options] -o outfile infile
    
    Infile can be raw (in which case resolution is required),
      or YUV4MPEG (*.y4m),
      or Avisynth if compiled with support (yes).
      or libav* formats if compiled with lavf support (yes) or ffms support (no).
    Outfile type is selected by filename:
     .264 -> Raw bytestream
     .mkv -> Matroska
     .flv -> Flash Video
     .mp4 -> MP4 if compiled with GPAC or L-SMASH support (lsmash)
    and now I will have a closer look at it. The muxer for l-smash is simply called 'muxer' I note
    You think that's air you're breathing now?

  6. #2266
    Join Date
    Dec 2006
    Beans
    7,223

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Perhaps this might be a starting point for anybody interested in exploring l-smash?

    Code:
    sudo apt-get -y install build-essential git-core checkinstall && \
    mkdir -pv $HOME/l-smash_build && cd $HOME/l-smash_build && \
    git clone https://code.google.com/p/l-smash/ && cd l-smash && \
    ./configure && make && \
    mkdir -vp doc-pak && cp -v LICENSE doc-pak && \
    sudo checkinstall --pakdir "$HOME/l-smash_build" --backup=no --deldoc=yes --pkgname lsmash \
                       --pkgversion "0:$(git rev-list --count HEAD)-g$(git rev-parse --short HEAD)" \
                       --fstrans=no --deldesc=yes --delspec=yes --default --strip=yes --stripso=yes \
                       --addso=yes && \
    make distclean

    Edit: Altered the checkinstall syntax as suggested by qyot27 && FO......
    Last edited by andrew.46; January 12th, 2014 at 11:33 PM. Reason: Altered the checkinstall syntax as suggested by qyot27 && FO......
    You think that's air you're breathing now?

  7. #2267
    Join Date
    Dec 2005
    Location
    St. Petersburg, FL
    Beans
    532
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: HOWTO: Install and use the latest FFmpeg and x264

    IMO, it's preferable to stop using the the wc -l method and just use git itself:
    Code:
    git rev-list --count HEAD
    returns the revision number, and
    Code:
    git rev-parse --short HEAD
    returns the 7-character abbreviated git hash.

    For example (slightly adapted from my cross-compiling instructions for it),
    Code:
    sudo checkinstall --pkgname=lsmash --pkgversion="0:$(git rev-list --count HEAD)-g$(git rev-parse --short HEAD)" --backup=no --deldoc=yes --delspec=yes --deldesc=yes --strip=yes --stripso=yes --addso=yes --fstrans=no --default
    (if I'm not mistaken, --addso will automatically run sudo ldconfig)

  8. #2268
    Join Date
    Sep 2006
    Beans
    3,599

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by qyot27 View Post
    Code:
    git rev-list --count HEAD
    returns the revision number, and
    Code:
    git rev-parse --short HEAD
    returns the 7-character abbreviated git hash.
    I use the same commands in PKGBUILD files for Arch Linux.

  9. #2269
    Join Date
    Dec 2006
    Beans
    7,223

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Sounds like a great improvement so I have not only altered the checkinstall syntax as suggested but I will use the git commands for my slackbuild script of l-smash. I am typing this surreptitiously from work on a Windows computer so I will test when I get home just to be sure...
    Last edited by andrew.46; January 12th, 2014 at 11:44 PM.
    You think that's air you're breathing now?

  10. #2270
    Join Date
    Dec 2005
    Location
    St. Petersburg, FL
    Beans
    532
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by FakeOutdoorsman View Post
    I use the same commands in PKGBUILD files for Arch Linux.
    Truth be told, I initially found out about the --count parameter from seeing it used in either some of your PKGBUILD files or from divVerent's PKGBUILD for mpv-git. One of these days I'll have to actually do something with Arch...probably when I finally manage to get my hands on a Raspberry Pi.

Page 227 of 237 FirstFirst ... 127177217225226227228229 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •